Bug 242354 - [NEW PORT] chinese/p5-Lingua-ZH-Romanize-Pinyin: Romanization of Standard Chinese language
Summary: [NEW PORT] chinese/p5-Lingua-ZH-Romanize-Pinyin: Romanization of Standard Chi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 242358
  Show dependency treegraph
 
Reported: 2019-12-02 09:08 UTC by Tomohiro Hosaka
Modified: 2019-12-11 19:26 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (1.80 KB, text/plain)
2019-12-02 09:08 UTC, Tomohiro Hosaka
no flags Details
add license file and rel path (3.21 KB, text/plain)
2019-12-05 11:46 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2019-12-02 09:08:02 UTC
* portlint
  WARN: Makefile: Consider defining LICENSE.
  0 fatal errors and 1 warning found.
* poudriere testport ok (12.0, amd64, svn-head)
* make test ok
Comment 1 Tomohiro Hosaka 2019-12-02 09:08:04 UTC
Created attachment 209592 [details]
svn diff
Comment 2 Dmitry Marakasov freebsd_committer 2019-12-04 15:51:46 UTC
This requires a LICENSE, for it's non-free.
Comment 3 Dmitry Marakasov freebsd_committer 2019-12-04 15:53:45 UTC
PS. Please include at least the port directory to the shar.
Comment 4 Tomohiro Hosaka 2019-12-05 11:46:11 UTC
Created attachment 209716 [details]
add license file and rel path
Comment 5 Tomohiro Hosaka 2019-12-05 11:46:43 UTC
Thank you for the review. Has been updated.
Comment 6 Kurt Jaeger freebsd_committer 2019-12-11 19:25:43 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-12-11 19:26:35 UTC
A commit references this bug:

Author: pi
Date: Wed Dec 11 19:25:35 UTC 2019
New revision: 519829
URL: https://svnweb.freebsd.org/changeset/ports/519829

Log:
  New port: chinese/p5-Lingua-ZH-Romanize-Pinyin: Romanization of Standard Chinese language

  Romanization of Standard Chinese language.
  Pinyin is a phonemic notation for Chinese characters.

  WWW: https://metacpan.org/release/Lingua-ZH-Romanize-Pinyin

  PR:		242354
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>

Changes:
  head/chinese/Makefile
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/Makefile
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/distinfo
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/files/
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/files/LICENSE
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/pkg-descr
  head/chinese/p5-Lingua-ZH-Romanize-Pinyin/pkg-plist